@echo off
rem rpfly.bat
if "%1"=="" goto usage
if "%1"=="svga" goto SetVideoMode
if "%1"=="SVGA" goto SetVideoMode
if "%1"=="ntsc" goto SetVideoMode
if "%1"=="NTSC" goto SetVideoMode
:DefaultVideoMode
set a0=svga
goto Start

:SetVideoMode
set a0=%1
shift

:Start
call set%a0%.bat
if "%2"=="" flyk \rel4_9\rp\scenes\%1.scn
if not "%2"=="" flyk \rel4_9\rp\scenes\%1.scn \rel4_9\rp\scenes\dontneed.spl
goto end

:usage
echo.
echo usage:  rpfly  [video_mode]  scene_file  [spline_file]  (no extensions)
echo.
echo              video_mode is 'svga' or 'ntsc'
:end
